<?php include('casa/setup.casa.php');
include('inc_scripts.php');

$codigo_venta = DataForms::GET('codigo_venta');
?>
<script src="<?php echo PATH_HOME.'assets/js/core/jquery.3.2.1.min.js';?>"></script>	
<script src="<?php echo PATH_HOME.'assets/js/jspdf.debug.js';?>"></script>	
<script src="<?php echo PATH_HOME.'assets/js/word/FileSaver.js';?>"></script> 
<script src="<?php echo PATH_HOME.'assets/js/word/jquery.wordexport.js';?>"></script> 
<style>
body{
    font-family:'Arial';
}
th{background:#156E10;
color:white;
height:40px;
text-align:center;
text-transform:uppercase;}	
</style>
<?php
$sql7 = "SELECT * FROM ventas_productos
WHERE ventas_tipo = 'catalogo'
GROUP BY ven_codigo;";	
$db= new DB();
$db->dbSQL($sql7);
$NumGenerado = $db->dbNumRows();
?>
<div class="wrapper overlay-sidebar" id="ventas2" style="background-color: white;margin-top:-80px;" >
    <div class="main-panel">
		<div class="content">				
			<div class="page-inner">					
				<div class="row">						
					<div class="col-md-12">    
                        <table>
                            <tr>
                                <td><h2>Importadora el comercio SyS. <br>
                                    Catálogo de productos Nro: <?php echo '0000'.$NumGenerado; ?></h2>
<p>Fecha de elaboración del catálogo: <span id="fechas"></span> <br>
- Los productos en el siguiente catalogo están sujetos a disponibilidad <br>
- Precios y valides del catálogo es de 10 días calendario a partir de la fecha de elaboración de catálogo. <br>
- Precio de unidad es el precio de venta al público incluye factura al 100%, compra mínima 1 unidad.<br>
- Precio de docena es el precio de cada unidad por compras mínimas de 6 piezas por producto, no incluye factura, compra mínima 6 unidades.<br>
- Precio de caja es el precio de total de todas las piezas que contiene la caja, compra mínima media caja, no incluye factura.
</p>
                                </td>
                                <td>
                                    <img src="<?php echo PATH_HOME.'assets/img/logo77.jpg'; ?>" width="300" height="200">
                                </td>
                            </tr>
                        </table>
    
<?php
$i=0;
$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
WHERE prod.ubica_codigo = ubi.ubica_codigo
AND ven.ubica_codigo = ubi.ubica_codigo
AND ven.prod_codigo = prod.prod_codigo
AND ven.ven_codigo = '$codigo_venta';";	
$db= new DB();
$db->dbSQL($sql);
$html = '<table width="100%" style="background-color: white;" border="1"><tr>													
<th align="center" style="color:white;" bgcolor="#156E10"><b>FOTO</b></th>
<th style="color:white;" bgcolor="#156E10"><b>DESCRIPCION</b></th>
<th style="color:white;" bgcolor="#156E10"><b>ITEM</b></th>
<th style="color:white;" bgcolor="#156E10"><b>UNIDADES <br>POR CAJA</b></th>
<th style="color:white;" bgcolor="#156E10"><b>PRECIO UNIDAD <br> SIN FACTURA</b></th>
<th style="color:white;" bgcolor="#156E10"><b>PRECIO DOCENA <br>CADA UNIDAD/SIN FACTURA</b></th>
<th style="color:white;" bgcolor="#156E10"><b>PRECIO CAJA<br>SIN FACTURA</b></th></tr>';
$total1 = 0;
$total2 = 0;
$total3 = 0;

while($db->next()){ 
    $i++; 
    $ubica_nombre = $db->dbField('ubica_nombre');													
    $prod_item = $db->dbField('prod_item');
    $prod_nombre = utf8_encode($db->dbField('prod_nombre'));
    $prod_preciounitario = $db->dbField('prod_preciounitario') * Dollar();
    $prod_preciodocena = $db->dbField('prod_preciodocena') * Dollar();
    $prod_preciocajadocena = $db->dbField('prod_preciocajadocena') * Dollar();
    $prod_piezascaja = $db->dbField('prod_piezascaja');
    $prod_foto = $db->dbField('prod_foto');
    
    $prod_item = str_split($prod_item,6);
    $cant = sizeof($prod_item);
    $contenido = '';
    for($i=0;$i<$cant;$i++){   
        $contenido.= $prod_item[$i].' ';
    }
    
    $ven_tipo = $db->dbField('ven_tipo');
    $ven_id = $db->dbField('ven_id');
    $ven_cantidad = $db->dbField('ven_cantidad');
    $ven_precio = $db->dbField('ven_precio');

    $html.='<tr>';    
    $html.='<td width="15%" align=center><img src="./fotos/small_'.$prod_foto.'" width="200" height="120" /></td>';
    $html.='<td width="15%">'.$prod_nombre.'</td>';
    $html.='<td width="10%" align="center">'.$contenido.'</td>';
    $html.='<td width="15%" align="center">'.$prod_piezascaja.'</td>';
    $html.='<td width="15%" align="center">Bs. '.$prod_preciounitario.'</td>';
    $html.='<td width="15%" align="center">Bs. '.$prod_preciodocena.'</td>';
    $html.='<td width="15%" align="center">Bs. '.$prod_preciocajadocena.'</td>';
    $html.='</tr>';	
    $total1 = $total1 + $prod_preciounitario;
    $total2 = $total2 + $prod_preciodocena;
    $total3 = $total3 + $prod_preciocajadocena;

} 
 /*$html.='<tr><th bgcolor="#156E10" style="color:white;" colspan="4" align="right"><b>TOTALES</b></th>
    <th bgcolor="#156E10" align="center" style="color:white;">$u$ '.$total1.'</th>
    <th bgcolor="#156E10" align="center" style="color:white;">$u$ '.$total2.'</th>
    <th bgcolor="#156E10" align="center" style="color:white;">$u$ '.$total3.'</th></tr>';
*/
$html.=' <tr><td colspan="3" align="right"><h1>CONTACTOS <br>
            UBICACIONES <br>
            REDES SOCIALES																																		
</h1></td>
<td colspan="4" align="left"><img src="'.PATH_HOME.'assets/img/qr77.jpg" width="200px" height="200px"></td>       
    </tr>';
$html.='</table>';
echo $html;
?>
<div align="center">
    <!--input type="button" value="EXPORTAR A PDF" id="btnPDF" class="btn btn-info"-->
    <input type="button" value="EXPORTAR A WORD" id="btnWord" class="btn btn-info"></div>
</div></div></div></div></div></div>

<script>
//pdf
$(document).ready(function() {
    var tiempo = new Date();
    //fecha
    var mes =(tiempo.getMonth()+1);
        if(mes<10) mes = '0'+mes;
    var dia =tiempo.getDate();
        if(dia<10) dia='0'+dia;
    var ano = tiempo.getFullYear();
    var fecha = ano+'-'+mes+'-'+dia;
	
    let hh = tiempo.getHours();
        if(hh<10) hh = '0'+hh;
    let mm = tiempo.getMinutes();
        if(mm<10) mm = '0'+mm;
    let ss = tiempo.getSeconds();
        if(ss<10) ss = '0'+ss;
    let hora = hh+':'+mm+':'+ss;	

    $('#fechas').html(fecha+' '+hora);
/*
  var options = {};
  var pdf = new jsPDF('p', 'pt', 'a4');
  pdf.addHTML($("#ventas2"), 15, 15, options, function() {
    pdf.save('<?php echo 'catalogo_0000'.$NumGenerado.'.pdf';?>');
  });
*/  
});	
$("#btnPDF").click(function(){
    var options = {};
    var pdf = new jsPDF('p', 'pt', 'a4');
    pdf.addHTML($("#ventas2"), 15, 15, options, function() {
        pdf.save('<?php echo 'catalogo_0000'.$NumGenerado.'.pdf';?>');
    });
});
$("#btnWord").click(function() {
    $("#ventas2").wordExport("<?php echo 'catalogo_0000'.$NumGenerado;?>");
});
</script>